Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGContext

All Known Subinterfaces:
  SVGAnimationContext, SVGAnimationTargetContext, SVGPathContext, SVGSVGContext

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, AbstractSVGLightingElementBridge, AbstractSVGLightingElementBridge.AbstractSVGLightElementBridge, AbstractSVGLightingElementBridge.SVGFeDistantLightElementBridge, AbstractSVGLightingElementBridge.SVGFePointLightElementBridge, AbstractSVGLightingElementBridge.SVGFeSpotLightElementBridge, AnimatableGenericSVGBridge, AnimatableSVGBridge, BatikFlowTextElementBridge, BatikFlowTextElementBridge.BatikFlowContentBridge, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElementBridge, BatikStarElementBridge, BindableElementBridge, SVG12TextElementBridge, SVGAElementBridge, SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGCircleElementBridge, SVGClipPathElementBridge, SVGDecoratedShapeElementBridge, SVGDescElementBridge, SVGDescriptiveElementBridge, SVGDocumentBridge, SVGEllipseElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncAElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncBElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncGElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncRElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMergeElementBridge.SVGFeMergeNodeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGFlowRootElementBridge, SVGFlowRootElementBridge.FlowContentBridge, SVGGElementBridge, SVGImageElementBridge, SVGLinearGradientElementBridge, SVGLineElementBridge, SVGMarkerElementBridge, SVGMaskElementBridge, SVGMultiImageElementBridge, SVGPathElementBridge, SVGPatternElementBridge, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRadialGradientElementBridge, SVGRectElementBridge, SVGSetElementBridge, SVGShapeElementBridge, SVGSolidColorElementBridge, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler, SVGTextElementBridge.AbstractTextChildSVGContext, SVGTextElementBridge.AbstractTextChildTextContent, SVGTextElementBridge.TextPathBridge, SVGTextElementBridge.TRefBridge, SVGTextElementBridge.TspanBridge, SVGTextPathElementBridge, SVGTitleElementBridge, SVGUseElementBridge, XBLContentElementBridge, XBLShadowTreeElementBridge

    public interface SVGContext

This interface is the placeholder for SVG application informations.

Field Summary
`static int` | `PERCENTAGE_FONT_SIZE`
`static int` | `PERCENTAGE_VIEWPORT_HEIGHT`
`static int` | `PERCENTAGE_VIEWPORT_SIZE`
`static int` | `PERCENTAGE_VIEWPORT_WIDTH`

Method Summary
`Rectangle2D` | `getBBox()` Returns the tight bounding box in current user space (i.e., after application of the transform attribute, if any) on the geometry of all contained graphics elements, exclusive of stroke-width and filter effects).
`AffineTransform` | `getCTM()` Returns the transformation matrix from current user units (i.e., after application of the transform attribute, if any) to the viewport coordinate system for the nearestViewportElement.
`float` | `getFontSize()` Returns the font-size on the associated element.
`AffineTransform` | `getGlobalTransform()` Returns the global transformation matrix from the current element to the root.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`AffineTransform` | `getScreenTransform()` Returns the transform from the global transform space to pixels.
`float` | `getViewportHeight()` Returns the height of the viewport which directly contains the associated element.
`float` | `getViewportWidth()` Returns the width of the viewport which directly contains the associated element.
`void` | `setScreenTransform(AffineTransform at)` Sets the transform to be used from the global transform space to pixels.

Field Detail

### PERCENTAGE_FONT_SIZE

    static final int PERCENTAGE_FONT_SIZE

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_WIDTH

    static final int PERCENTAGE_VIEWPORT_WIDTH

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_HEIGHT

    static final int PERCENTAGE_VIEWPORT_HEIGHT

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_SIZE

    static final int PERCENTAGE_VIEWPORT_SIZE

See Also:
  Constant Field Values

Method Detail

### getPixelUnitToMillimeter

    float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMM

    float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getBBox

    Rectangle2D getBBox()

  Returns the tight bounding box in current user space (i.e., after application of the transform attribute, if any) on the geometry of all contained graphics elements, exclusive of stroke-width and filter effects).

### getScreenTransform

    AffineTransform getScreenTransform()

  Returns the transform from the global transform space to pixels.

### setScreenTransform

    void setScreenTransform(AffineTransform at)

  Sets the transform to be used from the global transform space to pixels.

### getCTM

    AffineTransform getCTM()

  Returns the transformation matrix from current user units (i.e., after application of the transform attribute, if any) to the viewport coordinate system for the nearestViewportElement.

### getGlobalTransform

    AffineTransform getGlobalTransform()

  Returns the global transformation matrix from the current element to the root.

### getViewportWidth

    float getViewportWidth()

  Returns the width of the viewport which directly contains the associated element.

### getViewportHeight

    float getViewportHeight()

  Returns the height of the viewport which directly contains the associated element.

### getFontSize

    float getFontSize()

  Returns the font-size on the associated element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.